Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding
Class TextSerializationContext

    java.lang.Object
      org.apache.axis.encoding.SerializationContext
          org.apache.axis.encoding.TextSerializationContext

All Implemented Interfaces:
  SerializationContext

public class TextSerializationContext
extends SerializationContext

For internal use only. Used to get the first text node of an element.

Author:
  Jarek Gawor (gawor@apache.org)

Field Summary

Fields inherited from class org.apache.axis.encoding.SerializationContext
`log, startOfDocument`

Constructor Summary
`TextSerializationContext(java.io.Writer writer)`
`TextSerializationContext(java.io.Writer writer, MessageContext msgContext)`

Method Summary
`void` | `endElement()` Writes the end element tag for the open element.
`void` | `serialize(QName elemQName, org.xml.sax.Attributes attributes, java.lang.Object value, QName xmlType, java.lang.Boolean sendNull, java.lang.Boolean sendType)` Serialize the indicated value as an element with the name indicated by elemQName.
`void` | `startElement(QName qName, org.xml.sax.Attributes attributes)` Writes (using the Writer) the start tag for element QName along with the indicated attributes and namespace mappings.
`void` | `writeChars(char[] p1, int p2, int p3)` Convenience operation to write out (to Writer) the characters in p1 starting at index p2 for length p3.
`void` | `writeDOMElement(org.w3c.dom.Element el)` Output a DOM representation to a SerializationContext
`void` | `writeString(java.lang.String string)` Convenience operation to write out (to Writer) the String

Methods inherited from class org.apache.axis.encoding.SerializationContext
`attributeQName2String, getCurrentMessage, getCurrentXMLType, getDoMultiRefs, getEncoder, getEncoding, getEncodingStyle, getItemQName, getItemType, getMessageContext, getPrefixForURI, getPrefixForURI, getPrefixForURI, getPretty, getQNameForClass, getSerializerForJavaType, getTypeMapping, getTypeMappingRegistry, getValueAsString, isEncoded, isPrimitive, outputMultiRefs, qName2String, qName2String, registerPrefixForURI, serialize, serialize, serialize, serialize, serialize, setDoMultiRefs, setEncoding, setItemQName, setItemType, setPretty, setSendDecl, setTypeAttribute, setWriteXMLType, shouldSendXSIType, writeSafeString, writeXMLDeclaration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextSerializationContext

    public TextSerializationContext(java.io.Writer writer)

### TextSerializationContext

    public TextSerializationContext(java.io.Writer writer,
                                    MessageContext msgContext)

Method Detail

### serialize

    public void serialize(QName elemQName,
                          org.xml.sax.Attributes attributes,
                          java.lang.Object value,
                          QName xmlType,
                          java.lang.Boolean sendNull,
                          java.lang.Boolean sendType)
                   throws java.io.IOException

  Description copied from class: `SerializationContext`
  Serialize the indicated value as an element with the name indicated by elemQName. The attributes are additional attribute to be serialized on the element. The value is the object being serialized. (It may be serialized directly or serialized as an mult-ref'd item) The value is an Object, which may be a wrapped primitive. The xmlType (if specified) is the QName of the type that is used to set xsi:type. The sendNull flag indicates whether to end an element with an xsi:nil="true" attribute for null variables (if Boolean.TRUE), or nothing (if Boolean.FALSE). The sendType flag indicates whether the xsi:type flag should be sent (default is true).

  Overrides:
    `serialize` in class `SerializationContext`
  Parameters:
    `elemQName` - is the QName of the element
    `attributes` - are additional attributes
    `value` - is the object to serialize
    `xmlType` - is the qname of the type or null.
    `sendNull` - determines whether to send null values.
    `sendType` - determines whether to set xsi:type attribute.
  Throws:
    `java.io.IOException`

### writeDOMElement

    public void writeDOMElement(org.w3c.dom.Element el)
                         throws java.io.IOException

  Description copied from class: `SerializationContext`
  Output a DOM representation to a SerializationContext

  Overrides:
    `writeDOMElement` in class `SerializationContext`
  Parameters:
    `el` - is a DOM Element
  Throws:
    `java.io.IOException`

### startElement

    public void startElement(QName qName,
                             org.xml.sax.Attributes attributes)
                      throws java.io.IOException

  Description copied from class: `SerializationContext`
  Writes (using the Writer) the start tag for element QName along with the indicated attributes and namespace mappings.

  Overrides:
    `startElement` in class `SerializationContext`
  Parameters:
    `qName` - is the name of the element
    `attributes` - are the attributes to write
  Throws:
    `java.io.IOException`

### endElement

    public void endElement()
                    throws java.io.IOException

  Description copied from class: `SerializationContext`
  Writes the end element tag for the open element.

  Overrides:
    `endElement` in class `SerializationContext`
  Throws:
    `java.io.IOException`

### writeChars

    public void writeChars(char[] p1,
                           int p2,
                           int p3)
                    throws java.io.IOException

  Description copied from class: `SerializationContext`
  Convenience operation to write out (to Writer) the characters in p1 starting at index p2 for length p3.

  Overrides:
    `writeChars` in class `SerializationContext`
  Parameters:
    `p1` - character array to write
    `p2` - starting index in array
    `p3` - length to write
  Throws:
    `java.io.IOException`

### writeString

    public void writeString(java.lang.String string)
                     throws java.io.IOException

  Description copied from class: `SerializationContext`
  Convenience operation to write out (to Writer) the String

  Overrides:
    `writeString` in class `SerializationContext`
  Parameters:
    `string` - is the String to write.
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.